## python-temperusb 1.6.1

=== requirements.txt ===
pyusb==1.2.1

=== debian/changelog ===
python-temperusb (1.6.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 21 Feb 2025 16:16:27 -0500

python-temperusb (1.6.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1092055)

 -- Edward Betts <edward@4angle.com>  Sat, 04 Jan 2025 06:44:09 +0000

=== debian/control ===
Source: python-temperusb
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-usb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/padelt/temper-python
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-temperusb
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-temperusb.git

Package: python3-temperusb
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Readings from USB-connected TEMPer devices
 This library provides functionality for interfacing with TEMPer devices over
 USB, allowing the retrieval of temperature readings. It supports various
 versions of TEMPer devices, which communicate via USB to report temperature
 and optionally humidity data. The library facilitates reading data directly
 from these devices, making use of their capabilities to provide accurate
 sensor outputs. Users can calibrate and configure the devices, adjusting the
 output scale and offset to ensure accurate measurements. The library can
 handle multiple devices simultaneously, presenting data through a
 straightforward command-line interface.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/temper-snmp

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/padelt/temper-python/tags .*/v?(\d\S+)\.tar\.gz
